org.apache.storm.trident.windowing.strategy

## Class TumblingCountWindowStrategy<T>

- java.lang.Object
- - org.apache.storm.trident.windowing.strategy.BaseWindowStrategy<T>
  - - org.apache.storm.trident.windowing.strategy.TumblingCountWindowStrategy<T>

- All Implemented Interfaces:
    WindowStrategy<T>

      public final class TumblingCountWindowStrategy<T>
      extends BaseWindowStrategy<T>

  This class represents tumbling window strategy based on the window count from the given `slidingCountWindow` configuration. In this strategy , window and sliding lengths are equal.

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.trident.windowing.strategy.BaseWindowStrategy

      `windowConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TumblingCountWindowStrategy(WindowConfig tumblingCountWindow)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EvictionPolicy<T,?>` | `getEvictionPolicy()` Returns an `EvictionPolicy` instance which evicts elements after a count of given window length.
    `TriggerPolicy<T,?>` | `getTriggerPolicy(TriggerHandler triggerHandler, EvictionPolicy<T,?> evictionPolicy)` Returns a `TriggerPolicy` which triggers for every count of given sliding window.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TumblingCountWindowStrategy

          public TumblingCountWindowStrategy(WindowConfig tumblingCountWindow)

  - ### Method Detail

    - #### getTriggerPolicy

          public TriggerPolicy<T,?> getTriggerPolicy(TriggerHandler triggerHandler,
                                                     EvictionPolicy<T,?> evictionPolicy)

      Returns a `TriggerPolicy` which triggers for every count of given sliding window.

    - #### getEvictionPolicy

          public EvictionPolicy<T,?> getEvictionPolicy()

      Returns an `EvictionPolicy` instance which evicts elements after a count of given window length.

Copyright © 2021 The Apache Software Foundation. All rights reserved.